package com.viettel.campaign.web.dto;

import com.viettel.campaign.web.dto.request_dto.CustomerQueryDTO;
import lombok.Getter;
import lombok.Setter;

import java.util.Date;
import java.util.List;

@Getter
@Setter
public class CampaignCustomerDTO extends BaseDTO{
    private Long campaignCustomerListId;
    private Long campaignId;
    private Long customerId;
    private Short status;
    private Long agentId;
    private Date recallTime;
    private Long recallCount = 0L;
    private Date callTime;
    private Long customerListId;
    private Short inCampaignStatus;
    private Date sendTime;
    private Short processStatus = 0;
    private Short contactStatus;
    private Short redistribute;
    private String sessionId;
    private Long callStatus;
    private Long companySiteId;
    private Long complainId;
    private String lstCustomerId;
    private List<CustomerQueryDTO>  listQuery;
    private Long field;
    private Integer timezoneOffset;
}
