package com.viettel.campaign.web.dto;

import lombok.Getter;
import lombok.Setter;

import java.io.Serializable;
import java.util.Date;
import java.util.List;
import java.util.Map;

/**
 * @author anhvd_itsol
 */

@Getter
@Setter
public class ScenarioQuestionDTO implements Serializable {
    private Long scenarioQuestionId;
    private Long companySiteId;
    private Long campaignId;
    private Long scenarioId;
    private String code;
    private Short type;
    private String question;
    private Long orderIndex;
    private Short status;
    private Date createTime;
    private Date deleteTime;
    private Short isRequire;
    private Short isDefault;
    private Short answerIndex;
    private List<ScenarioAnswerDTO> lstAnswers;
    private String importCode;
}
